﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="GanttSample.aspx.cs" Inherits="GanttTestSample.GanttSample" %>

<%--<%@ Register assembly="Syncfusion.EJ" namespace="Syncfusion.JavaScript.Models" tagprefix="ej" %>--%>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Gantt Sample</title>
    <script src="Scripts/Gantt/jquery-1.10.2.min.js"></script>
    <script src="Scripts/Gantt/jquery.globalize.min.js"></script>
    <script src="Scripts/Gantt/globalize.culture.pt.js"></script>
    <script src="Scripts/Gantt/jquery.easing.1.3.min.js"></script>
    <script src="Scripts/Gantt/jsrender.min.js"></script>
    <script src="Scripts/Gantt/ej.web.all.min.js"></script>    
    <link href="Content/Gantt/ej.widgets.core.min.css" rel="stylesheet" />
    <link href="Content/Gantt/ej.theme.min.css" rel="stylesheet" />
    <style>
         #Gantt {
             width: 100%;
             height: 100%;             
         }
         html, body {
             overflow: hidden; padding:0; margin: 0;height:100%;position:static;
         }
     </style>   
</head>
<body>
    <form id="form1" runat="server" onsubmit="return false" style="overflow: hidden; padding:0; margin: 0;height:100%;width:80%;">       
        <ej:Gantt ID="Gantt" runat="server" AllowSelection="true" AllowColumnResize="true"
            TaskIdMapping="Id" TaskNameMapping="Name" 
            StartDateMapping="StartDate" EndDateMapping="EndDate" ProgressMapping="PercentDone"
            ChildMapping="Children" AllowGanttChartEditing="false" QueryTaskbarInfo="queryTaskbarInfo"
            TreeColumnIndex="1" EnableResize="true">
            <SizeSettings Width="100%" Height="450px" />
        </ej:Gantt>
                      
         <script type="text/javascript">
             function queryTaskbarInfo(args) {
                 if (args.data.taskName == "Child Task 1") {
                     var specificTaskbar = args.taskbar,
                         progressbar = $(specificTaskbar).find(".progressbar");
                     progressbar.css({ "display": "none" });
                 }
             }
    </script>
    </form>       
</body>
</html>
